# Distributed under the terms of the GNU General Public License v2

#inherit flag-o-matic libtool
inherit flag-o-matic

IUSE="nls"

#need to check what gcc version we are running

DESCRIPTION="D GCC Frontend"
SRC_URI="http://home.earthlink.net/~dvdfrdmn/d/d-for-gcc-r1f.tgz
		ftp://gcc.gnu.org/pub/gcc/releases/gcc-3.4.0/gcc-3.4.0.tar.bz2"

HOMEPAGE="http://home.earthlink.net/~dvdfrdmn/d/"

SLOT="0"
KEYWORDS="~x86"
LICENSE="GPL-2"
S="${WORKDIR}/gcc-3.4.0"

DEPEND="virtual/glibc
		>=sys-devel/gcc-3.3.3"

src_unpack() {
	unpack "gcc-3.4.0.tar.bz2"
	
	cd "${S}/gcc"
	
	unpack "d-for-gcc-r1f.tgz"
	
	patch -p1 < d/patch-gcc-3.4-20040317
}

src_compile() {
	einfo "Configuring GCC for GDC inclusion..."

	cd ${S}
	./configure --prefix=/usr --enable-shared --enable-threads=posix --enable-languages=d 

	einfo "Building GDC..."
	gmake	
}

src_install () {
    dobin ${S}/gcc/gdc
    dobin ${S}/gcc/cc1d
}
